import { ChangeDetectorRef, ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { IModuleConfigOptions } from '../../config/module.config';
import { IconNamesEnum } from '../../enums/icon-names.enum';
import { Icons } from '../../providers/icon.provider';
/**
 * Bootstrap icon component.
 */
export declare class NgxBootstrapIconsLibComponent implements OnChanges {
    private _elem;
    private _changeDetector;
    private _icons;
    private _config;
    /** Icon name. */
    name: string | IconNamesEnum;
    /** Icon width. */
    width: string;
    /** Icon height. */
    height: string;
    /** Removes default dimensions from svg. */
    resetDefaultDimensions: boolean;
    constructor(_elem: ElementRef, _changeDetector: ChangeDetectorRef, _icons: Icons, _config: IModuleConfigOptions);
    /**
     * OnChanges event.
     *
     * @param changes SimpleChanges
     */
    ngOnChanges(changes: SimpleChanges): void;
}
